Skip to main content
GET
/
api
/
jobs
List Jobs
curl --request GET \
  --url https://api.getgranite.ai/api/jobs
{
  "jobs": [
    {
      "job_id": "<string>",
      "job_type": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "execution_details": {
        "display_label": "<string>",
        "detail_type": "<string>"
      },
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "assigned_to_machine_id": "<string>",
      "result": {},
      "error": "<string>",
      "status_history": [
        {}
      ]
    }
  ]
}

Query Parameters

status
string | null

Filter by status

limit
integer
default:50

Maximum jobs to return

Required range: 1 <= x <= 100
skip
integer
default:0

Number of jobs to skip

Required range: x >= 0

Response

Successful Response

List of jobs

jobs
JobExecutionResponse · object[]

Jobs